Skip to content
SupportLogin

Get a single custom-rubric evaluation

GET/api/v1/datasets/{dataset_id}/custom-evals/{custom_eval_id}

Get a single custom-rubric evaluation

Path ParametersExpand Collapse
dataset_id: string
custom_eval_id: string
ReturnsExpand Collapse
CustomEval object { custom_eval_id, dataset_id, status, 9 more }
custom_eval_id: string
dataset_id: string
status: string

pending | running | succeeded | failed

judge_prompt: string
name: string
score_before: number

Mean rubric score on the original pairs. Null until the eval succeeds.

score_after: number

Mean rubric score on the adapted pairs. Null until the eval succeeds.

improvement_percent: number

Percentage change from score_before to score_after. Null until the eval succeeds.

scored_rows: number

Rows the judge scored. A rubric score is an average over this sample, not the whole dataset.

error_message: string
created_at: string
formatdate-time
completed_at: string
formatdate-time

Get a single custom-rubric evaluation

curl https://api.prod.adaptionlabs.ai/api/v1/datasets/$DATASET_ID/custom-evals/$CUSTOM_EVAL_ID \
    -H "Authorization: Bearer $ADAPTION_API_KEY"
{
  "custom_eval_id": "custom_eval_id",
  "dataset_id": "dataset_id",
  "status": "running",
  "judge_prompt": "judge_prompt",
  "name": "name",
  "score_before": 0,
  "score_after": 0,
  "improvement_percent": 0,
  "scored_rows": 0,
  "error_message": "error_message",
  "created_at": "2019-12-27T18:11:19.117Z",
  "completed_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "custom_eval_id": "custom_eval_id",
  "dataset_id": "dataset_id",
  "status": "running",
  "judge_prompt": "judge_prompt",
  "name": "name",
  "score_before": 0,
  "score_after": 0,
  "improvement_percent": 0,
  "scored_rows": 0,
  "error_message": "error_message",
  "created_at": "2019-12-27T18:11:19.117Z",
  "completed_at": "2019-12-27T18:11:19.117Z"
}